# $Revision: 1.67 $, $Date: 2010/06/18 06:59:50 $
#
# Conditional builds:
%bcond_without	pgsql		# build PostgreSQL support
%bcond_without	mysql		# build MySQL support
%bcond_without	xmlrpc		# build XMLRPC support 
#
Summary:	Motion is a software motion detector
Summary(pl.UTF-8):	Motion - programowy wykrywacz ruchu
Name:		motion
Version:	3.2.12
Release:	2
License:	GPL
Group:		Applications/Graphics
Source0:	http://dl.sourceforge.net/motion/%{name}-%{version}.tar.gz
# Source0-md5:	1ba0065ed50509aaffb171594c689f46
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-config.patch
URL:		http://www.lavrsen.dk/twiki/bin/view/Motion/WebHome
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	ffmpeg-devel >= 0.4.9-3.20060817
BuildRequires:	libjpeg-devel
%{?with_mysql:BuildRequires:    mysql-devel}
%{?with_pgsql:BuildRequires:	postgresql-devel}
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Motion is a software motion detector. It grabs images from video4linux
devices and/or from webcams (such as the axis network cameras). Motion
is the perfect tool for keeping an eye on your property keeping only
those images that are interesting.

%description -l pl.UTF-8
Motion to programowy wykrywacz ruchu. Przechwytuje obrazy z urządzeń
video4linux i/lib kamer (takich jak kamery sieciowe axis). Motion jest
doskonałym narzędziem do doglądania swojej posiadłości, przechowując
tylko interesujące obrazy.

%package init
Summary:	Init script for Motion
Summary(pl.UTF-8):	Skrypt init dla systemu Motion
Group:		Applications/System
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	%{name} = %{version}-%{release}
Requires:	rc-scripts
Provides:	group(motion)
Provides:	user(motion)

%description init
Init script for Motion.

%description init -l pl.UTF-8
Skrypt init dla systemu Motion.

%prep
%setup -q
%patch0 -p1
%{__sed} -i -e 's/jpeg_mem_dest/my_jpeg_mem_dest/g' picture.c

%build
%{__aclocal}
%{__autoconf}
%configure \
	--without-optimizecpu \
	%{?with_mysql:--with-mysql} \
	%{?with_pgsql:--with-pgsql}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name} \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version} \
	$RPM_BUILD_ROOT%{_sysconfdir}/%{name} \
	$RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig} \
	$RPM_BUILD_ROOT/var/run/%{name}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_datadir}/doc doc
mv $RPM_BUILD_ROOT%{_sysconfdir}/motion-dist.conf \
	$RPM_BUILD_ROOT%{_sysconfdir}/motion/motion.conf

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

%clean
rm -rf $RPM_BUILD_ROOT


%pre init
%groupadd -g 177 motion
%useradd -u 177 -g motion motion
/usr/sbin/usermod -G video motion 1>&2 > /dev/null

%post init
/sbin/chkconfig --add motion
%service motion restart

%preun init
if [ "$1" = "0" ]; then
	%service motion stop
	/sbin/chkconfig --del motion
fi

%postun init
if [ "$1" = "0" ]; then
	%userremove motion
	%groupremove motion
fi

%triggerpostun -- motion < 3.2.6-1
if [ -e /etc/motion.conf.rpmsave ]; then
	cp /etc/motion/motion.conf /etc/motion/motion.conf.rpmnew
	cp /etc/motion.conf.rpmsave /etc/motion/motion.conf
fi

%files
%defattr(644,root,root,755)
%doc CHANGELOG CREDITS FAQ README README.axis_2100 motion_guide.html *.conf motion.init-RH
%attr(755,root,root) %{_bindir}/motion
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/motion/motion.conf
%{_datadir}/motion
%{_mandir}/man1/*
%attr(750,motion,motion) %dir /var/run/%{name}

%files init
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(754,root,root) /etc/rc.d/init.d/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: motion.spec,v $
Revision 1.67  2010/06/18 06:59:50  arekm
- release 2

Revision 1.66  2010/06/08 05:47:39  dzeus
- up to 3.2.12

Revision 1.65  2010/03/28 21:28:59  dzeus
- up to 3.2.11.1
- fix segfault for new libjpeg
- fix Segfault on reload or quit for vloopback
- removed obsolete patches

Revision 1.64  2010/02/06 00:55:23  sparky
- dropped unused BR: mjpegtools-devel

Revision 1.63  2010/02/05 19:19:30  amateja
- release 5

Revision 1.62  2010/02/05 19:18:25  amateja
- fixed for libjpeg8

Revision 1.61  2010/01/29 07:59:20  amateja
- release 4

Revision 1.60  2010/01/01 23:05:56  sparky
- PatchN tag capitalization

Revision 1.59  2009/07/19 14:51:00  blues
- rel.2 - ftbfs and segv patches from debian.

Revision 1.58  2009/07/12 13:25:58  arekm
- release 2

Revision 1.57  2008/10/05 19:01:13  duddits
- up to 3.2.11
- removed obsoleted patches (as_needed, inttypes)
- config.patch updated
- with-libavcodec removed from %configure (now autodetected by
  default)

Revision 1.56  2008/06/28 09:10:45  dzeus
- up to 3.2.10.1

Revision 1.55  2008/06/10 17:51:40  qboosh
- updated md5

Revision 1.54  2008-06-10 17:18:05  jezik
- 3.2.10

Revision 1.53  2008-02-21 17:42:50  glen
- fix for conflicting int64_t on x86_64; rel 5

Revision 1.52  2008-02-21 17:12:34  glen
- release 4

Revision 1.51  2008-01-07 10:32:04  sls
- fixed as-needed issue

Revision 1.50  2008-01-06 17:59:52  blues
- rel.3 - it's not as-needed ready, disabled; BR mjpegutils.

Revision 1.49  2008-01-06 17:36:46  blues
- rel.2

Revision 1.48  2007-12-11 12:10:21  sls
- ver. 3.2.9

Revision 1.47  2007-04-13 18:27:05  darekr
- todo is done

Revision 1.46  2007/04/11 16:14:55  darekr
- these R: are for init subpackage

Revision 1.45  2007/03/02 10:10:08  tiwek
- added user motion to video group
- rel. 3

Revision 1.44  2007/03/02 09:00:22  tiwek
- pidfile to /var/run/motion

Revision 1.43  2007/02/13 06:46:54  glen
- tabs in preamble

Revision 1.42  2007/02/12 00:49:08  baggins
- converted to UTF-8

Revision 1.41  2006/12/20 12:13:35  hawk
- release 2 to rebuild with PostgreSQL 8.2

Revision 1.40  2006/12/10 12:44:01  glen
- up to 3.2.7

Revision 1.39  2006/09/12 18:24:23  darekr
- create motion user and gorup, rel. 2

Revision 1.38  2006/08/06 20:46:23  darekr
- specify motion's release for trigger

Revision 1.37  2006/08/06 12:18:00  darekr
- added %triggerpostun -- motion < 3.2.6

Revision 1.36  2006/05/14 18:57:15  darekr
- added -config patch (move config file to /etc/motion dir)

Revision 1.35  2006/05/14 17:49:35  darekr
- /etc/motion dir is back

Revision 1.34  2006/05/14 16:16:43  darekr
- updated to 3.2.6
- removed unused /etc/motion dir (config file in /etc)

Revision 1.33  2006/03/23 20:46:04  blues
- more TODO

Revision 1.32  2006/03/23 20:29:42  glen
- -init needs rc-scripts

Revision 1.31  2006/03/23 20:21:06  glen
- epoch not defined, so don't use it

Revision 1.30  2006/03/23 20:16:08  glen
- macros r1.268 for %service, adapterized

Revision 1.29  2006/03/23 19:26:03  blues
- init subpackage - use it for starting daemon-mode motion detector.

Revision 1.28  2006/03/19 22:21:31  blues
- examples dir is /usr/src .... these examples are not sources, it's docs

Revision 1.27  2006/03/12 18:29:41  blues
- 3.2.5.1 - builds, works, with fine threads support.

Revision 1.26  2005/11/01 20:07:23  qboosh
- updated to 3.2.3; builds with current ffmpeg
- RPC-based motion-control has been replaced by http control interface

Revision 1.25  2005/10/31 11:03:42  arekm
- rel 3

Revision 1.24  2005/10/27 17:45:22  arekm
- rel 2

Revision 1.23  2005/05/22 17:27:52  ankry
- rel. 1

Revision 1.22  2005/04/03 13:18:36  qboosh
- bconds usage fixed, unified

Revision 1.21  2005/04/03 04:13:57  hunter
- corrected name of config file
- include examples (RH script is intended)
- conditional build w/ pgsql/mysql
- don't optimize for builder's arch/cpu

Revision 1.20  2005/03/29 19:08:44  adamg
- updated 3.1.19 (builds with ffmpeg 0.4.9)
- release 0.1, testbuild

Revision 1.19  2005/03/29 19:04:46  adamg
- URL fix (no / at end), changelog cosmetics

Revision 1.18  2005/03/29 01:42:39  ankry
- rel. 3 to rebuild with ffmpeg-0.4.9-0.pre1.1

Revision 1.17  2005/03/23 17:18:07  glen
- dropped SourceX-size

Revision 1.16  2005/02/12 22:46:25  arekm
- rel ++

Revision 1.15  2004/10/17 17:48:10  darekr
- updated to 3.1.17

Revision 1.14  2004/10/13 13:19:10  darekr
- fixed URL

Revision 1.13  2004/09/06 18:54:13  darekr
- updated to 3.1.16, release 1
- small changes

Revision 1.12  2004/07/12 07:44:47  ankry
- rel. 2 to rebuild with curl-7.12

Revision 1.11  2003/11/11 02:15:08  qboosh
- BR: automake

Revision 1.10  2003/11/09 13:25:35  arekm
- updated to 3.0.7

Revision 1.9  2003/08/13 08:33:03  pbern
- update URL

Revision 1.8  2003/08/12 22:32:50  ankry
- cosmetics

Revision 1.7  2003/06/10 08:44:27  arekm
- updated to 3.0.6

Revision 1.6  2003/05/28 12:59:46  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 05:50:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/05/13 09:46:14  qboosh
- removed COPYING from doc (just GPL)
- removed # before makeinstall - it was ignored though :)

Revision 1.3  2003/05/11 13:07:14  qboosh
- pl, some cleanups

Revision 1.2  2003/05/03 21:41:51  pbern
- typo
- patched

Revision 1.1  2003/05/03 21:06:01  pbern
- init release
